| Kea 3.0.2-git

isc::dhcp::TokenUInt16ToText Class Reference

Token representing a 16 bit unsigned integer as a string. More...

`#include <token.h>`

Inheritance diagram for isc::dhcp::TokenUInt16ToText:
[legend]

## Public Member Functions
| TokenUInt16ToText ()
| Constructor (does nothing).
virtual unsigned | evaluate (Pkt &pkt, ValueStack &values)
| Token evaluation (puts value of the string on the stack after decoding).
Public Member Functions inherited from isc::dhcp::Token
virtual | ~Token ()
| Virtual destructor.
virtual unsigned | getLabel () const
| Return the label of this token.

## Additional Inherited Members
Static Public Member Functions inherited from isc::dhcp::Token
static bool | toBool (std::string value)
| Coverts a (string) value to a boolean.

## Detailed Description

Token representing a 16 bit unsigned integer as a string.

This token holds the value of a 16 bit unsigned integer as a string, for instance 0xffff is '65535'

Definition at line 360 of file token.h.

## Constructor & Destructor Documentation

## ◆ TokenUInt16ToText()

isc::dhcp::TokenUInt16ToText::TokenUInt16ToText | ( |  | ) |
| inline

Constructor (does nothing).

Definition at line 363 of file token.h.

## Member Function Documentation

## ◆ evaluate()

unsigned TokenUInt16ToText::evaluate | ( | Pkt & | pkt,
|  | ValueStack & | values )
| virtual

Token evaluation (puts value of the string on the stack after decoding).

Parameters

  pkt | (ignored)
  values | (represented 16 bit unsigned integer as a string will be pushed here)

Returns
  0 which means evaluate next token if any.

Implements isc::dhcp::Token.

Definition at line 331 of file token.cc.

References isc::dhcp::EVAL_DBG_STACK, isc::dhcp::EVAL_DEBUG_UINT16TOTEXT, isc::dhcp::eval_logger, isc::dhcp::Pkt::getLabel(), isc_throw, LOG_DEBUG, and isc::util::readUint16().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- token.h
- token.cc